#!/bin/bash

rm /etc/php-fpm.d/www.conf

cat <<EOF > /etc/php-fpm.d/$user.conf

[$user]

user = $user
group = $user
listen = /run/php-fpm/www.sock
listen.owner = apache
listen.group = apache

pm = dynamic
pm.max_children = 50
pm.start_servers = 5
pm.min_spare_servers = 5
pm.max_spare_servers = 35
pm.process_idle_timeout = 15s;
pm.max_requests = 500

slowlog = /var/log/php-fpm/www-slow.log
request_slowlog_timeout = 6s

php_admin_value[error_log] = /etc/httpd/logs/error_log
php_admin_flag[log_errors] = on
php_value[soap.wsdl_cache_dir]  = /var/lib/php/wsdlcache

EOF

exit 0